@import './../../../assets/vars.scss';

.info {
    background-color: $primary-color;
    color: white;
    display: flex;
    flex-wrap: wrap;
    font-size: .9rem;
    align-items: center;
    padding: 8px 12px 24px 12px;
    border-radius: 0 0 10px 10px;
    & .details {
        margin-left: 8px;
        & > span {
            display: flex;
            align-items: center;
        }
    }

    & > button {
        margin-top: 8px;
        flex-grow: 2;
    }
}

mat-progress-spinner {
    margin: 8px auto;
}

@media (min-width: 481px) {
    .info {
        & .details {
            flex-grow: 20;
        }

        & > button {
            flex-grow: 1;
        }
    }
}

@media (min-width: 768px) {
    .posts-list {
        width: 768px;
        margin: 0 auto;
    }
}